Share via


Integration Runtimes - Get

Gets an integration runtime.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/integrationRuntimes/{integrationRuntimeName}?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

integrationRuntimeName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The integration runtime name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-none-match

string

ETag of the integration runtime entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.

Responses

Name Type Description
200 OK

IntegrationRuntimeResource

Azure operation completed successfully.

Other Status Codes

The client has made a conditional request and the resource has not been modified.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

IntegrationRuntimes_Get

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/integrationRuntimes/exampleIntegrationRuntime?api-version=2018-06-01

Sample response

Date: Mon, 22 Apr 2019 18:33:47 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: ad824326-e577-4a47-a092-2e621c4d59d9
x-ms-ratelimit-remaining-subscription-reads: 11997
x-ms-request-id: ad824326-e577-4a47-a092-2e621c4d59d9
{
  "name": "exampleIntegrationRuntime",
  "type": "Microsoft.DataFactory/factories/integrationruntimes",
  "etag": "15003c4f-0000-0200-0000-5cbe090b0000",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/integrationruntimes/exampleIntegrationRuntime",
  "properties": {
    "type": "SelfHosted",
    "description": "A selfhosted integration runtime"
  }
}

Definitions

Name Description
AzPowerShellSetup

The express custom setup of installing Azure PowerShell.

AzureKeyVaultSecretReference

Azure Key Vault secret reference.

CloudError

The object that defines the structure of an Azure Data Factory error response.

CmdkeySetup

The custom setup of running cmdkey commands.

ComponentSetup

The custom setup of installing 3rd party components.

CopyComputeScaleProperties

CopyComputeScale properties for managed integration runtime.

createdByType

The type of identity that created the resource.

CredentialReference

Credential reference type.

CredentialReferenceType

Credential reference type.

DataFlowComputeType

Compute type of the cluster which will execute data flow job.

EntityReference

The entity reference.

EnvironmentVariableSetup

The custom setup of setting environment variable.

IntegrationRuntimeComputeProperties

The compute resource properties for managed integration runtime.

IntegrationRuntimeCustomerVirtualNetwork

The definition and properties of virtual network to which Azure-SSIS integration runtime will join.

IntegrationRuntimeCustomSetupScriptProperties

Custom setup script properties for a managed dedicated integration runtime.

IntegrationRuntimeDataFlowProperties

Data flow properties for managed integration runtime.

IntegrationRuntimeDataFlowPropertiesCustomPropertiesItem
IntegrationRuntimeDataProxyProperties

Data proxy properties for a managed dedicated integration runtime.

IntegrationRuntimeEdition

The edition for the SSIS Integration Runtime

IntegrationRuntimeEntityReferenceType

The type of this referenced entity.

IntegrationRuntimeLicenseType

License type for bringing your own license scenario.

IntegrationRuntimeResource

Integration runtime resource type.

IntegrationRuntimeSsisCatalogInfo

Catalog information for managed dedicated integration runtime.

IntegrationRuntimeSsisCatalogPricingTier

The pricing tier for the catalog database. The valid values could be found in https://azure.microsoft.com/en-us/pricing/details/sql-database/

IntegrationRuntimeSsisProperties

SSIS properties for managed integration runtime.

IntegrationRuntimeState

The state of integration runtime.

IntegrationRuntimeType

The type of integration runtime.

IntegrationRuntimeVNetProperties

VNet properties for managed integration runtime.

InteractiveCapabilityStatus

The interactive authoring capability status. Must be one of InteractiveCapabilityStatus. The default value is 'Enabling'.

InteractiveQueryProperties

Interactive authoring capability type properties.

LinkedIntegrationRuntimeKeyAuthorization

The key authorization type integration runtime.

LinkedIntegrationRuntimeRbacAuthorization

The role based access control (RBAC) authorization type integration runtime.

LinkedServiceReference

Linked service reference type.

ManagedIntegrationRuntime

Managed integration runtime, including managed elastic and managed dedicated integration runtimes.

ManagedVirtualNetworkReference

Managed Virtual Network reference type.

ManagedVirtualNetworkReferenceType

Managed Virtual Network reference type.

PackageStore

Package store for the SSIS integration runtime.

PipelineExternalComputeScaleProperties

PipelineExternalComputeScale properties for managed integration runtime.

SecureString

Azure Data Factory secure string definition. The string value will be masked with asterisks '*' during Get or List API calls.

SelfHostedIntegrationRuntime

Self-hosted integration runtime.

systemData

Metadata pertaining to creation and last modification of the resource.

Type

Linked service reference type.

AzPowerShellSetup

The express custom setup of installing Azure PowerShell.

Name Type Description
type string:

AzPowerShellSetup

The type of custom setup.

typeProperties.version

string

The required version of Azure PowerShell to install.

AzureKeyVaultSecretReference

Azure Key Vault secret reference.

Name Type Description
secretName

The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).

secretVersion

The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).

store

LinkedServiceReference

The Azure Key Vault linked service reference.

type string:

AzureKeyVaultSecret

Type of the secret.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

CmdkeySetup

The custom setup of running cmdkey commands.

Name Type Description
type string:

CmdkeySetup

The type of custom setup.

typeProperties.password SecretBase:

The password of data source access.

typeProperties.targetName

The server name of data source access. Type: string.

typeProperties.userName

The user name of data source access. Type: string.

ComponentSetup

The custom setup of installing 3rd party components.

Name Type Description
type string:

ComponentSetup

The type of custom setup.

typeProperties.componentName

string

The name of the 3rd party component.

typeProperties.licenseKey SecretBase:

The license key to activate the component.

CopyComputeScaleProperties

CopyComputeScale properties for managed integration runtime.

Name Type Description
dataIntegrationUnit

integer (int32)

minimum: 4

DIU number setting reserved for copy activity execution. Supported values are multiples of 4 in range 4-256.

timeToLive

integer (int32)

minimum: 5

Time to live (in minutes) setting of integration runtime which will execute copy activity.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CredentialReference

Credential reference type.

Name Type Description
referenceName

string

Reference credential name.

type

CredentialReferenceType

Credential reference type.

CredentialReferenceType

Credential reference type.

Value Description
CredentialReference

CredentialReference

DataFlowComputeType

Compute type of the cluster which will execute data flow job.

Value Description
General

General

MemoryOptimized

MemoryOptimized

ComputeOptimized

ComputeOptimized

EntityReference

The entity reference.

Name Type Description
referenceName

string

The name of this referenced entity.

type

IntegrationRuntimeEntityReferenceType

The type of this referenced entity.

EnvironmentVariableSetup

The custom setup of setting environment variable.

Name Type Description
type string:

EnvironmentVariableSetup

The type of custom setup.

typeProperties.variableName

string

The name of the environment variable.

typeProperties.variableValue

string

The value of the environment variable.

IntegrationRuntimeComputeProperties

The compute resource properties for managed integration runtime.

Name Type Description
copyComputeScaleProperties

CopyComputeScaleProperties

CopyComputeScale properties for managed integration runtime.

dataFlowProperties

IntegrationRuntimeDataFlowProperties

Data flow properties for managed integration runtime.

location

string

The location for managed integration runtime. The supported regions could be found on https://docs.microsoft.com/en-us/azure/data-factory/data-factory-data-movement-activities

maxParallelExecutionsPerNode

integer (int32)

minimum: 1

Maximum parallel executions count per node for managed integration runtime.

nodeSize

string

The node size requirement to managed integration runtime.

numberOfNodes

integer (int32)

minimum: 1

The required number of nodes for managed integration runtime.

pipelineExternalComputeScaleProperties

PipelineExternalComputeScaleProperties

PipelineExternalComputeScale properties for managed integration runtime.

vNetProperties

IntegrationRuntimeVNetProperties

VNet properties for managed integration runtime.

IntegrationRuntimeCustomerVirtualNetwork

The definition and properties of virtual network to which Azure-SSIS integration runtime will join.

Name Type Description
subnetId

string

The ID of subnet to which Azure-SSIS integration runtime will join.

IntegrationRuntimeCustomSetupScriptProperties

Custom setup script properties for a managed dedicated integration runtime.

Name Type Description
blobContainerUri

string

The URI of the Azure blob container that contains the custom setup script.

sasToken

SecureString

The SAS token of the Azure blob container.

IntegrationRuntimeDataFlowProperties

Data flow properties for managed integration runtime.

Name Type Description
cleanup

boolean

Cluster will not be recycled and it will be used in next data flow activity run until TTL (time to live) is reached if this is set as false. Default is true.

computeType

DataFlowComputeType

Compute type of the cluster which will execute data flow job.

coreCount

integer (int32)

Core count of the cluster which will execute data flow job. Supported values are: 8, 16, 32, 48, 80, 144 and 272.

customProperties

IntegrationRuntimeDataFlowPropertiesCustomPropertiesItem[]

Custom properties are used to tune the data flow runtime performance.

timeToLive

integer (int32)

minimum: 0

Time to live (in minutes) setting of the cluster which will execute data flow job.

IntegrationRuntimeDataFlowPropertiesCustomPropertiesItem

Name Type Description
name

string

Name of custom property.

value

string

Value of custom property.

IntegrationRuntimeDataProxyProperties

Data proxy properties for a managed dedicated integration runtime.

Name Type Description
connectVia

EntityReference

The self-hosted integration runtime reference.

path

string

The path to contain the staged data in the Blob storage.

stagingLinkedService

EntityReference

The staging linked service reference.

IntegrationRuntimeEdition

The edition for the SSIS Integration Runtime

Value Description
Standard

Standard

Enterprise

Enterprise

IntegrationRuntimeEntityReferenceType

The type of this referenced entity.

Value Description
IntegrationRuntimeReference

IntegrationRuntimeReference

LinkedServiceReference

LinkedServiceReference

IntegrationRuntimeLicenseType

License type for bringing your own license scenario.

Value Description
BasePrice

BasePrice

LicenseIncluded

LicenseIncluded

IntegrationRuntimeResource

Integration runtime resource type.

Name Type Description
etag

string

"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties IntegrationRuntime:

Integration runtime properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

IntegrationRuntimeSsisCatalogInfo

Catalog information for managed dedicated integration runtime.

Name Type Description
catalogAdminPassword

SecureString

The password of the administrator user account of the catalog database.

catalogAdminUserName

string

minLength: 1
maxLength: 128

The administrator user name of catalog database.

catalogPricingTier

IntegrationRuntimeSsisCatalogPricingTier

The pricing tier for the catalog database. The valid values could be found in https://azure.microsoft.com/en-us/pricing/details/sql-database/

catalogServerEndpoint

string

The catalog database server URL.

dualStandbyPairName

string

The dual standby pair name of Azure-SSIS Integration Runtimes to support SSISDB failover.

IntegrationRuntimeSsisCatalogPricingTier

The pricing tier for the catalog database. The valid values could be found in https://azure.microsoft.com/en-us/pricing/details/sql-database/

Value Description
Basic

Basic

Standard

Standard

Premium

Premium

PremiumRS

PremiumRS

IntegrationRuntimeSsisProperties

SSIS properties for managed integration runtime.

Name Type Description
catalogInfo

IntegrationRuntimeSsisCatalogInfo

Catalog information for managed dedicated integration runtime.

credential

CredentialReference

The credential reference containing authentication information.

customSetupScriptProperties

IntegrationRuntimeCustomSetupScriptProperties

Custom setup script properties for a managed dedicated integration runtime.

dataProxyProperties

IntegrationRuntimeDataProxyProperties

Data proxy properties for a managed dedicated integration runtime.

edition

IntegrationRuntimeEdition

The edition for the SSIS Integration Runtime

expressCustomSetupProperties CustomSetupBase[]:

Custom setup without script properties for a SSIS integration runtime.

licenseType

IntegrationRuntimeLicenseType

License type for bringing your own license scenario.

packageStores

PackageStore[]

Package stores for the SSIS Integration Runtime.

IntegrationRuntimeState

The state of integration runtime.

Value Description
Initial

Initial

Stopped

Stopped

Started

Started

Starting

Starting

Stopping

Stopping

NeedRegistration

NeedRegistration

Online

Online

Limited

Limited

Offline

Offline

AccessDenied

AccessDenied

IntegrationRuntimeType

The type of integration runtime.

Value Description
Managed

Managed

SelfHosted

SelfHosted

IntegrationRuntimeVNetProperties

VNet properties for managed integration runtime.

Name Type Description
publicIPs

string[]

Resource IDs of the public IP addresses that this integration runtime will use.

subnet

string

The name of the subnet this integration runtime will join.

subnetId

string

The ID of subnet, to which this Azure-SSIS integration runtime will be joined.

vNetId

string

The ID of the VNet that this integration runtime will join.

InteractiveCapabilityStatus

The interactive authoring capability status. Must be one of InteractiveCapabilityStatus. The default value is 'Enabling'.

Value Description
Enabling

Enabling

Enabled

Enabled

Disabling

Disabling

Disabled

Disabled

InteractiveQueryProperties

Interactive authoring capability type properties.

Name Type Description
autoTerminationMinutes

integer (int32)

The allowed idle time for interactive authoring.

status

InteractiveCapabilityStatus

The interactive authoring capability status. Must be one of InteractiveCapabilityStatus. The default value is 'Enabling'.

LinkedIntegrationRuntimeKeyAuthorization

The key authorization type integration runtime.

Name Type Description
authorizationType string:

Key

The authorization type for integration runtime sharing.

key

SecureString

The key used for authorization.

LinkedIntegrationRuntimeRbacAuthorization

The role based access control (RBAC) authorization type integration runtime.

Name Type Description
authorizationType string:

RBAC

The authorization type for integration runtime sharing.

credential

CredentialReference

The credential reference containing authentication information.

resourceId

string

The resource identifier of the integration runtime to be shared.

LinkedServiceReference

Linked service reference type.

Name Type Description
parameters

Arguments for LinkedService.

referenceName

string

Reference LinkedService name.

type

Type

Linked service reference type.

ManagedIntegrationRuntime

Managed integration runtime, including managed elastic and managed dedicated integration runtimes.

Name Type Description
description

string

Integration runtime description.

managedVirtualNetwork

ManagedVirtualNetworkReference

Managed Virtual Network reference.

state

IntegrationRuntimeState

Integration runtime state, only valid for managed dedicated integration runtime.

type string:

Managed

Type of integration runtime.

typeProperties.computeProperties

IntegrationRuntimeComputeProperties

The compute resource for managed integration runtime.

typeProperties.customerVirtualNetwork

IntegrationRuntimeCustomerVirtualNetwork

The name of virtual network to which Azure-SSIS integration runtime will join

typeProperties.interactiveQuery

InteractiveQueryProperties

Interactive authoring capability reference.

typeProperties.ssisProperties

IntegrationRuntimeSsisProperties

SSIS properties for managed integration runtime.

ManagedVirtualNetworkReference

Managed Virtual Network reference type.

Name Type Description
referenceName

string

Reference ManagedVirtualNetwork name.

type

ManagedVirtualNetworkReferenceType

Managed Virtual Network reference type.

ManagedVirtualNetworkReferenceType

Managed Virtual Network reference type.

Value Description
ManagedVirtualNetworkReference

ManagedVirtualNetworkReference

PackageStore

Package store for the SSIS integration runtime.

Name Type Description
name

string

The name of the package store

packageStoreLinkedService

EntityReference

The package store linked service reference.

PipelineExternalComputeScaleProperties

PipelineExternalComputeScale properties for managed integration runtime.

Name Type Description
numberOfExternalNodes

integer (int32)

minimum: 1
maximum: 10

Number of the the external nodes, which should be greater than 0 and less than 11.

numberOfPipelineNodes

integer (int32)

minimum: 1
maximum: 10

Number of the pipeline nodes, which should be greater than 0 and less than 11.

timeToLive

integer (int32)

minimum: 5

Time to live (in minutes) setting of integration runtime which will execute pipeline and external activity.

SecureString

Azure Data Factory secure string definition. The string value will be masked with asterisks '*' during Get or List API calls.

Name Type Description
type string:

SecureString

Type of the secret.

value

string

Value of secure string.

SelfHostedIntegrationRuntime

Self-hosted integration runtime.

Name Type Description
description

string

Integration runtime description.

type string:

SelfHosted

Type of integration runtime.

typeProperties.linkedInfo LinkedIntegrationRuntimeType:

The base definition of a linked integration runtime.

typeProperties.selfContainedInteractiveAuthoringEnabled

boolean

An alternative option to ensure interactive authoring function when your self-hosted integration runtime is unable to establish a connection with Azure Relay.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

Type

Linked service reference type.

Value Description
LinkedServiceReference

LinkedServiceReference